#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs_1 = require("fs");
function readPackageJson(path) {
    const mod = require(path_1.join(path, './package.json'));
    return mod.default || mod;
}
const cwd = process.cwd();
const srcPackageJson = readPackageJson(cwd);
const distPackageJson = readPackageJson(path_1.join(cwd, './dist'));
distPackageJson.version = srcPackageJson.version;
if ('dependencies' in srcPackageJson) {
    distPackageJson.dependencies = srcPackageJson.dependencies;
}
if ('peerDependencies' in srcPackageJson) {
    distPackageJson.peerDependencies = srcPackageJson.peerDependencies;
}
if ('optionalDependencies' in srcPackageJson) {
    distPackageJson.optionalDependencies = srcPackageJson.optionalDependencies;
}
if ('sideEffects' in srcPackageJson) {
    distPackageJson.sideEffects = srcPackageJson.sideEffects;
}
fs_1.writeFileSync(path_1.join(cwd, './dist/package.json'), JSON.stringify(distPackageJson, null, 2));
